## org.eclipse.datatools.connectivity.oda.design
Interface ColumnDefinition

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ColumnDefinition

extends org.eclipse.emf.ecore.EObject

Definition of a result set column.

The following features are supported:

- `Attributes`
- `Usage Hints`
- `Multi Dimension Attributes`

See Also:
  `DesignPackage.getColumnDefinition()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataElementAttributes` `getAttributes()` Returns the value of the 'Attributes' containment reference.
`AxisAttributes` `getMultiDimensionAttributes()` Returns the value of the 'Multi Dimension Attributes' containment reference.
`OutputElementAttributes` `getUsageHints()` Returns the value of the 'Usage Hints' containment reference.
`void` `setAttributes(DataElementAttributes value)` Sets the value of the '`Attributes`' containment reference.
`void` `setMultiDimensionAttributes(AxisAttributes value)` Sets the value of the '`Multi Dimension Attributes`' containment reference.
`void` `setUsageHints(OutputElementAttributes value)` Sets the value of the '`Usage Hints`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getAttributes

    DataElementAttributes getAttributes()

  Returns the value of the 'Attributes' containment reference.

  Returns:
    the value of the 'Attributes' containment reference.
  See Also:
    `setAttributes(DataElementAttributes)`, `DesignPackage.getColumnDefinition_Attributes()`

### setAttributes

    void setAttributes(DataElementAttributes value)

  Sets the value of the '`Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Attributes' containment reference.
  See Also:
    `getAttributes()`

### getUsageHints

    OutputElementAttributes getUsageHints()

  Returns the value of the 'Usage Hints' containment reference.

  Returns:
    the value of the 'Usage Hints' containment reference.
  See Also:
    `setUsageHints(OutputElementAttributes)`, `DesignPackage.getColumnDefinition_UsageHints()`

### setUsageHints

    void setUsageHints(OutputElementAttributes value)

  Sets the value of the '`Usage Hints`' containment reference.

  Parameters:
    `value` - the new value of the 'Usage Hints' containment reference.
  See Also:
    `getUsageHints()`

### getMultiDimensionAttributes

    AxisAttributes getMultiDimensionAttributes()

  Returns the value of the 'Multi Dimension Attributes' containment reference. The attributes of a multi-dimensional data element.

  Returns:
    the value of the 'Multi Dimension Attributes' containment reference.
  See Also:
    `setMultiDimensionAttributes(AxisAttributes)`, `DesignPackage.getColumnDefinition_MultiDimensionAttributes()`

### setMultiDimensionAttributes

    void setMultiDimensionAttributes(AxisAttributes value)

  Sets the value of the '`Multi Dimension Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Multi Dimension Attributes' containment reference.
  See Also:
    `getMultiDimensionAttributes()`